import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { StringNullableFilterObjectSchema as StringNullableFilterObjectSchema } from './StringNullableFilter.schema';
import { ClaimScalarRelationFilterObjectSchema as ClaimScalarRelationFilterObjectSchema } from './ClaimScalarRelationFilter.schema';
import { ClaimWhereInputObjectSchema as ClaimWhereInputObjectSchema } from './ClaimWhereInput.schema'

const claimfilewhereinputSchema = z.object({
  AND: z.union([z.lazy(() => ClaimFileWhereInputObjectSchema), z.lazy(() => ClaimFileWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => ClaimFileWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => ClaimFileWhereInputObjectSchema), z.lazy(() => ClaimFileWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  claimId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  filename: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  mimeType: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  filePath: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable(),
  claim: z.union([z.lazy(() => ClaimScalarRelationFilterObjectSchema), z.lazy(() => ClaimWhereInputObjectSchema)]).optional()
}).strict();
export const ClaimFileWhereInputObjectSchema: z.ZodType<Prisma.ClaimFileWhereInput> = claimfilewhereinputSchema as unknown as z.ZodType<Prisma.ClaimFileWhereInput>;
export const ClaimFileWhereInputObjectZodSchema = claimfilewhereinputSchema;
